Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network168.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
168.0.0.0
Broadcast address
169.255.255.255
First usable
168.0.0.1
Last usable
169.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
B (default /16)
As numbers
Hex A8000000 · Integer 2818572288 to 2852126719
Reverse DNS zones
168.in-addr.arpa
169.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10101000.00000000.00000000.00000000168.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network10101000.00000000.00000000.00000000168.0.0.0
Broadcast10101001.11111111.11111111.11111111169.255.255.255
Split into smaller subnets/17

168.0.0.0/7 makes 1,024 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1168.0.0.0/17168.0.0.1 to 168.0.127.254168.0.127.25532,766
2168.0.128.0/17168.0.128.1 to 168.0.255.254168.0.255.25532,766
3168.1.0.0/17168.1.0.1 to 168.1.127.254168.1.127.25532,766
4168.1.128.0/17168.1.128.1 to 168.1.255.254168.1.255.25532,766
5168.2.0.0/17168.2.0.1 to 168.2.127.254168.2.127.25532,766
6168.2.128.0/17168.2.128.1 to 168.2.255.254168.2.255.25532,766
7168.3.0.0/17168.3.0.1 to 168.3.127.254168.3.127.25532,766
8168.3.128.0/17168.3.128.1 to 168.3.255.254168.3.255.25532,766
9168.4.0.0/17168.4.0.1 to 168.4.127.254168.4.127.25532,766
10168.4.128.0/17168.4.128.1 to 168.4.255.254168.4.255.25532,766
11168.5.0.0/17168.5.0.1 to 168.5.127.254168.5.127.25532,766
12168.5.128.0/17168.5.128.1 to 168.5.255.254168.5.255.25532,766
13168.6.0.0/17168.6.0.1 to 168.6.127.254168.6.127.25532,766
14168.6.128.0/17168.6.128.1 to 168.6.255.254168.6.255.25532,766
15168.7.0.0/17168.7.0.1 to 168.7.127.254168.7.127.25532,766
16168.7.128.0/17168.7.128.1 to 168.7.255.254168.7.255.25532,766
17168.8.0.0/17168.8.0.1 to 168.8.127.254168.8.127.25532,766
18168.8.128.0/17168.8.128.1 to 168.8.255.254168.8.255.25532,766
19168.9.0.0/17168.9.0.1 to 168.9.127.254168.9.127.25532,766
20168.9.128.0/17168.9.128.1 to 168.9.255.254168.9.255.25532,766
21168.10.0.0/17168.10.0.1 to 168.10.127.254168.10.127.25532,766
22168.10.128.0/17168.10.128.1 to 168.10.255.254168.10.255.25532,766
23168.11.0.0/17168.11.0.1 to 168.11.127.254168.11.127.25532,766
24168.11.128.0/17168.11.128.1 to 168.11.255.254168.11.255.25532,766
25168.12.0.0/17168.12.0.1 to 168.12.127.254168.12.127.25532,766
26168.12.128.0/17168.12.128.1 to 168.12.255.254168.12.255.25532,766
27168.13.0.0/17168.13.0.1 to 168.13.127.254168.13.127.25532,766
28168.13.128.0/17168.13.128.1 to 168.13.255.254168.13.255.25532,766
29168.14.0.0/17168.14.0.1 to 168.14.127.254168.14.127.25532,766
30168.14.128.0/17168.14.128.1 to 168.14.255.254168.14.255.25532,766
31168.15.0.0/17168.15.0.1 to 168.15.127.254168.15.127.25532,766
32168.15.128.0/17168.15.128.1 to 168.15.255.254168.15.255.25532,766
33168.16.0.0/17168.16.0.1 to 168.16.127.254168.16.127.25532,766
34168.16.128.0/17168.16.128.1 to 168.16.255.254168.16.255.25532,766
35168.17.0.0/17168.17.0.1 to 168.17.127.254168.17.127.25532,766
36168.17.128.0/17168.17.128.1 to 168.17.255.254168.17.255.25532,766
37168.18.0.0/17168.18.0.1 to 168.18.127.254168.18.127.25532,766
38168.18.128.0/17168.18.128.1 to 168.18.255.254168.18.255.25532,766
39168.19.0.0/17168.19.0.1 to 168.19.127.254168.19.127.25532,766
40168.19.128.0/17168.19.128.1 to 168.19.255.254168.19.255.25532,766
41168.20.0.0/17168.20.0.1 to 168.20.127.254168.20.127.25532,766
42168.20.128.0/17168.20.128.1 to 168.20.255.254168.20.255.25532,766
43168.21.0.0/17168.21.0.1 to 168.21.127.254168.21.127.25532,766
44168.21.128.0/17168.21.128.1 to 168.21.255.254168.21.255.25532,766
45168.22.0.0/17168.22.0.1 to 168.22.127.254168.22.127.25532,766
46168.22.128.0/17168.22.128.1 to 168.22.255.254168.22.255.25532,766
47168.23.0.0/17168.23.0.1 to 168.23.127.254168.23.127.25532,766
48168.23.128.0/17168.23.128.1 to 168.23.255.254168.23.255.25532,766
49168.24.0.0/17168.24.0.1 to 168.24.127.254168.24.127.25532,766
50168.24.128.0/17168.24.128.1 to 168.24.255.254168.24.255.25532,766
51168.25.0.0/17168.25.0.1 to 168.25.127.254168.25.127.25532,766
52168.25.128.0/17168.25.128.1 to 168.25.255.254168.25.255.25532,766
53168.26.0.0/17168.26.0.1 to 168.26.127.254168.26.127.25532,766
54168.26.128.0/17168.26.128.1 to 168.26.255.254168.26.255.25532,766
55168.27.0.0/17168.27.0.1 to 168.27.127.254168.27.127.25532,766
56168.27.128.0/17168.27.128.1 to 168.27.255.254168.27.255.25532,766
57168.28.0.0/17168.28.0.1 to 168.28.127.254168.28.127.25532,766
58168.28.128.0/17168.28.128.1 to 168.28.255.254168.28.255.25532,766
59168.29.0.0/17168.29.0.1 to 168.29.127.254168.29.127.25532,766
60168.29.128.0/17168.29.128.1 to 168.29.255.254168.29.255.25532,766
61168.30.0.0/17168.30.0.1 to 168.30.127.254168.30.127.25532,766
62168.30.128.0/17168.30.128.1 to 168.30.255.254168.30.255.25532,766
63168.31.0.0/17168.31.0.1 to 168.31.127.254168.31.127.25532,766
64168.31.128.0/17168.31.128.1 to 168.31.255.254168.31.255.25532,766
65168.32.0.0/17168.32.0.1 to 168.32.127.254168.32.127.25532,766
66168.32.128.0/17168.32.128.1 to 168.32.255.254168.32.255.25532,766
67168.33.0.0/17168.33.0.1 to 168.33.127.254168.33.127.25532,766
68168.33.128.0/17168.33.128.1 to 168.33.255.254168.33.255.25532,766
69168.34.0.0/17168.34.0.1 to 168.34.127.254168.34.127.25532,766
70168.34.128.0/17168.34.128.1 to 168.34.255.254168.34.255.25532,766
71168.35.0.0/17168.35.0.1 to 168.35.127.254168.35.127.25532,766
72168.35.128.0/17168.35.128.1 to 168.35.255.254168.35.255.25532,766
73168.36.0.0/17168.36.0.1 to 168.36.127.254168.36.127.25532,766
74168.36.128.0/17168.36.128.1 to 168.36.255.254168.36.255.25532,766
75168.37.0.0/17168.37.0.1 to 168.37.127.254168.37.127.25532,766
76168.37.128.0/17168.37.128.1 to 168.37.255.254168.37.255.25532,766
77168.38.0.0/17168.38.0.1 to 168.38.127.254168.38.127.25532,766
78168.38.128.0/17168.38.128.1 to 168.38.255.254168.38.255.25532,766
79168.39.0.0/17168.39.0.1 to 168.39.127.254168.39.127.25532,766
80168.39.128.0/17168.39.128.1 to 168.39.255.254168.39.255.25532,766
81168.40.0.0/17168.40.0.1 to 168.40.127.254168.40.127.25532,766
82168.40.128.0/17168.40.128.1 to 168.40.255.254168.40.255.25532,766
83168.41.0.0/17168.41.0.1 to 168.41.127.254168.41.127.25532,766
84168.41.128.0/17168.41.128.1 to 168.41.255.254168.41.255.25532,766
85168.42.0.0/17168.42.0.1 to 168.42.127.254168.42.127.25532,766
86168.42.128.0/17168.42.128.1 to 168.42.255.254168.42.255.25532,766
87168.43.0.0/17168.43.0.1 to 168.43.127.254168.43.127.25532,766
88168.43.128.0/17168.43.128.1 to 168.43.255.254168.43.255.25532,766
89168.44.0.0/17168.44.0.1 to 168.44.127.254168.44.127.25532,766
90168.44.128.0/17168.44.128.1 to 168.44.255.254168.44.255.25532,766
91168.45.0.0/17168.45.0.1 to 168.45.127.254168.45.127.25532,766
92168.45.128.0/17168.45.128.1 to 168.45.255.254168.45.255.25532,766
93168.46.0.0/17168.46.0.1 to 168.46.127.254168.46.127.25532,766
94168.46.128.0/17168.46.128.1 to 168.46.255.254168.46.255.25532,766
95168.47.0.0/17168.47.0.1 to 168.47.127.254168.47.127.25532,766
96168.47.128.0/17168.47.128.1 to 168.47.255.254168.47.255.25532,766
97168.48.0.0/17168.48.0.1 to 168.48.127.254168.48.127.25532,766
98168.48.128.0/17168.48.128.1 to 168.48.255.254168.48.255.25532,766
99168.49.0.0/17168.49.0.1 to 168.49.127.254168.49.127.25532,766
100168.49.128.0/17168.49.128.1 to 168.49.255.254168.49.255.25532,766
101168.50.0.0/17168.50.0.1 to 168.50.127.254168.50.127.25532,766
102168.50.128.0/17168.50.128.1 to 168.50.255.254168.50.255.25532,766
103168.51.0.0/17168.51.0.1 to 168.51.127.254168.51.127.25532,766
104168.51.128.0/17168.51.128.1 to 168.51.255.254168.51.255.25532,766
105168.52.0.0/17168.52.0.1 to 168.52.127.254168.52.127.25532,766
106168.52.128.0/17168.52.128.1 to 168.52.255.254168.52.255.25532,766
107168.53.0.0/17168.53.0.1 to 168.53.127.254168.53.127.25532,766
108168.53.128.0/17168.53.128.1 to 168.53.255.254168.53.255.25532,766
109168.54.0.0/17168.54.0.1 to 168.54.127.254168.54.127.25532,766
110168.54.128.0/17168.54.128.1 to 168.54.255.254168.54.255.25532,766
111168.55.0.0/17168.55.0.1 to 168.55.127.254168.55.127.25532,766
112168.55.128.0/17168.55.128.1 to 168.55.255.254168.55.255.25532,766
113168.56.0.0/17168.56.0.1 to 168.56.127.254168.56.127.25532,766
114168.56.128.0/17168.56.128.1 to 168.56.255.254168.56.255.25532,766
115168.57.0.0/17168.57.0.1 to 168.57.127.254168.57.127.25532,766
116168.57.128.0/17168.57.128.1 to 168.57.255.254168.57.255.25532,766
117168.58.0.0/17168.58.0.1 to 168.58.127.254168.58.127.25532,766
118168.58.128.0/17168.58.128.1 to 168.58.255.254168.58.255.25532,766
119168.59.0.0/17168.59.0.1 to 168.59.127.254168.59.127.25532,766
120168.59.128.0/17168.59.128.1 to 168.59.255.254168.59.255.25532,766
121168.60.0.0/17168.60.0.1 to 168.60.127.254168.60.127.25532,766
122168.60.128.0/17168.60.128.1 to 168.60.255.254168.60.255.25532,766
123168.61.0.0/17168.61.0.1 to 168.61.127.254168.61.127.25532,766
124168.61.128.0/17168.61.128.1 to 168.61.255.254168.61.255.25532,766
125168.62.0.0/17168.62.0.1 to 168.62.127.254168.62.127.25532,766
126168.62.128.0/17168.62.128.1 to 168.62.255.254168.62.255.25532,766
127168.63.0.0/17168.63.0.1 to 168.63.127.254168.63.127.25532,766
128168.63.128.0/17168.63.128.1 to 168.63.255.254168.63.255.25532,766
129168.64.0.0/17168.64.0.1 to 168.64.127.254168.64.127.25532,766
130168.64.128.0/17168.64.128.1 to 168.64.255.254168.64.255.25532,766
131168.65.0.0/17168.65.0.1 to 168.65.127.254168.65.127.25532,766
132168.65.128.0/17168.65.128.1 to 168.65.255.254168.65.255.25532,766
133168.66.0.0/17168.66.0.1 to 168.66.127.254168.66.127.25532,766
134168.66.128.0/17168.66.128.1 to 168.66.255.254168.66.255.25532,766
135168.67.0.0/17168.67.0.1 to 168.67.127.254168.67.127.25532,766
136168.67.128.0/17168.67.128.1 to 168.67.255.254168.67.255.25532,766
137168.68.0.0/17168.68.0.1 to 168.68.127.254168.68.127.25532,766
138168.68.128.0/17168.68.128.1 to 168.68.255.254168.68.255.25532,766
139168.69.0.0/17168.69.0.1 to 168.69.127.254168.69.127.25532,766
140168.69.128.0/17168.69.128.1 to 168.69.255.254168.69.255.25532,766
141168.70.0.0/17168.70.0.1 to 168.70.127.254168.70.127.25532,766
142168.70.128.0/17168.70.128.1 to 168.70.255.254168.70.255.25532,766
143168.71.0.0/17168.71.0.1 to 168.71.127.254168.71.127.25532,766
144168.71.128.0/17168.71.128.1 to 168.71.255.254168.71.255.25532,766
145168.72.0.0/17168.72.0.1 to 168.72.127.254168.72.127.25532,766
146168.72.128.0/17168.72.128.1 to 168.72.255.254168.72.255.25532,766
147168.73.0.0/17168.73.0.1 to 168.73.127.254168.73.127.25532,766
148168.73.128.0/17168.73.128.1 to 168.73.255.254168.73.255.25532,766
149168.74.0.0/17168.74.0.1 to 168.74.127.254168.74.127.25532,766
150168.74.128.0/17168.74.128.1 to 168.74.255.254168.74.255.25532,766
151168.75.0.0/17168.75.0.1 to 168.75.127.254168.75.127.25532,766
152168.75.128.0/17168.75.128.1 to 168.75.255.254168.75.255.25532,766
153168.76.0.0/17168.76.0.1 to 168.76.127.254168.76.127.25532,766
154168.76.128.0/17168.76.128.1 to 168.76.255.254168.76.255.25532,766
155168.77.0.0/17168.77.0.1 to 168.77.127.254168.77.127.25532,766
156168.77.128.0/17168.77.128.1 to 168.77.255.254168.77.255.25532,766
157168.78.0.0/17168.78.0.1 to 168.78.127.254168.78.127.25532,766
158168.78.128.0/17168.78.128.1 to 168.78.255.254168.78.255.25532,766
159168.79.0.0/17168.79.0.1 to 168.79.127.254168.79.127.25532,766
160168.79.128.0/17168.79.128.1 to 168.79.255.254168.79.255.25532,766
161168.80.0.0/17168.80.0.1 to 168.80.127.254168.80.127.25532,766
162168.80.128.0/17168.80.128.1 to 168.80.255.254168.80.255.25532,766
163168.81.0.0/17168.81.0.1 to 168.81.127.254168.81.127.25532,766
164168.81.128.0/17168.81.128.1 to 168.81.255.254168.81.255.25532,766
165168.82.0.0/17168.82.0.1 to 168.82.127.254168.82.127.25532,766
166168.82.128.0/17168.82.128.1 to 168.82.255.254168.82.255.25532,766
167168.83.0.0/17168.83.0.1 to 168.83.127.254168.83.127.25532,766
168168.83.128.0/17168.83.128.1 to 168.83.255.254168.83.255.25532,766
169168.84.0.0/17168.84.0.1 to 168.84.127.254168.84.127.25532,766
170168.84.128.0/17168.84.128.1 to 168.84.255.254168.84.255.25532,766
171168.85.0.0/17168.85.0.1 to 168.85.127.254168.85.127.25532,766
172168.85.128.0/17168.85.128.1 to 168.85.255.254168.85.255.25532,766
173168.86.0.0/17168.86.0.1 to 168.86.127.254168.86.127.25532,766
174168.86.128.0/17168.86.128.1 to 168.86.255.254168.86.255.25532,766
175168.87.0.0/17168.87.0.1 to 168.87.127.254168.87.127.25532,766
176168.87.128.0/17168.87.128.1 to 168.87.255.254168.87.255.25532,766
177168.88.0.0/17168.88.0.1 to 168.88.127.254168.88.127.25532,766
178168.88.128.0/17168.88.128.1 to 168.88.255.254168.88.255.25532,766
179168.89.0.0/17168.89.0.1 to 168.89.127.254168.89.127.25532,766
180168.89.128.0/17168.89.128.1 to 168.89.255.254168.89.255.25532,766
181168.90.0.0/17168.90.0.1 to 168.90.127.254168.90.127.25532,766
182168.90.128.0/17168.90.128.1 to 168.90.255.254168.90.255.25532,766
183168.91.0.0/17168.91.0.1 to 168.91.127.254168.91.127.25532,766
184168.91.128.0/17168.91.128.1 to 168.91.255.254168.91.255.25532,766
185168.92.0.0/17168.92.0.1 to 168.92.127.254168.92.127.25532,766
186168.92.128.0/17168.92.128.1 to 168.92.255.254168.92.255.25532,766
187168.93.0.0/17168.93.0.1 to 168.93.127.254168.93.127.25532,766
188168.93.128.0/17168.93.128.1 to 168.93.255.254168.93.255.25532,766
189168.94.0.0/17168.94.0.1 to 168.94.127.254168.94.127.25532,766
190168.94.128.0/17168.94.128.1 to 168.94.255.254168.94.255.25532,766
191168.95.0.0/17168.95.0.1 to 168.95.127.254168.95.127.25532,766
192168.95.128.0/17168.95.128.1 to 168.95.255.254168.95.255.25532,766
193168.96.0.0/17168.96.0.1 to 168.96.127.254168.96.127.25532,766
194168.96.128.0/17168.96.128.1 to 168.96.255.254168.96.255.25532,766
195168.97.0.0/17168.97.0.1 to 168.97.127.254168.97.127.25532,766
196168.97.128.0/17168.97.128.1 to 168.97.255.254168.97.255.25532,766
197168.98.0.0/17168.98.0.1 to 168.98.127.254168.98.127.25532,766
198168.98.128.0/17168.98.128.1 to 168.98.255.254168.98.255.25532,766
199168.99.0.0/17168.99.0.1 to 168.99.127.254168.99.127.25532,766
200168.99.128.0/17168.99.128.1 to 168.99.255.254168.99.255.25532,766
201168.100.0.0/17168.100.0.1 to 168.100.127.254168.100.127.25532,766
202168.100.128.0/17168.100.128.1 to 168.100.255.254168.100.255.25532,766
203168.101.0.0/17168.101.0.1 to 168.101.127.254168.101.127.25532,766
204168.101.128.0/17168.101.128.1 to 168.101.255.254168.101.255.25532,766
205168.102.0.0/17168.102.0.1 to 168.102.127.254168.102.127.25532,766
206168.102.128.0/17168.102.128.1 to 168.102.255.254168.102.255.25532,766
207168.103.0.0/17168.103.0.1 to 168.103.127.254168.103.127.25532,766
208168.103.128.0/17168.103.128.1 to 168.103.255.254168.103.255.25532,766
209168.104.0.0/17168.104.0.1 to 168.104.127.254168.104.127.25532,766
210168.104.128.0/17168.104.128.1 to 168.104.255.254168.104.255.25532,766
211168.105.0.0/17168.105.0.1 to 168.105.127.254168.105.127.25532,766
212168.105.128.0/17168.105.128.1 to 168.105.255.254168.105.255.25532,766
213168.106.0.0/17168.106.0.1 to 168.106.127.254168.106.127.25532,766
214168.106.128.0/17168.106.128.1 to 168.106.255.254168.106.255.25532,766
215168.107.0.0/17168.107.0.1 to 168.107.127.254168.107.127.25532,766
216168.107.128.0/17168.107.128.1 to 168.107.255.254168.107.255.25532,766
217168.108.0.0/17168.108.0.1 to 168.108.127.254168.108.127.25532,766
218168.108.128.0/17168.108.128.1 to 168.108.255.254168.108.255.25532,766
219168.109.0.0/17168.109.0.1 to 168.109.127.254168.109.127.25532,766
220168.109.128.0/17168.109.128.1 to 168.109.255.254168.109.255.25532,766
221168.110.0.0/17168.110.0.1 to 168.110.127.254168.110.127.25532,766
222168.110.128.0/17168.110.128.1 to 168.110.255.254168.110.255.25532,766
223168.111.0.0/17168.111.0.1 to 168.111.127.254168.111.127.25532,766
224168.111.128.0/17168.111.128.1 to 168.111.255.254168.111.255.25532,766
225168.112.0.0/17168.112.0.1 to 168.112.127.254168.112.127.25532,766
226168.112.128.0/17168.112.128.1 to 168.112.255.254168.112.255.25532,766
227168.113.0.0/17168.113.0.1 to 168.113.127.254168.113.127.25532,766
228168.113.128.0/17168.113.128.1 to 168.113.255.254168.113.255.25532,766
229168.114.0.0/17168.114.0.1 to 168.114.127.254168.114.127.25532,766
230168.114.128.0/17168.114.128.1 to 168.114.255.254168.114.255.25532,766
231168.115.0.0/17168.115.0.1 to 168.115.127.254168.115.127.25532,766
232168.115.128.0/17168.115.128.1 to 168.115.255.254168.115.255.25532,766
233168.116.0.0/17168.116.0.1 to 168.116.127.254168.116.127.25532,766
234168.116.128.0/17168.116.128.1 to 168.116.255.254168.116.255.25532,766
235168.117.0.0/17168.117.0.1 to 168.117.127.254168.117.127.25532,766
236168.117.128.0/17168.117.128.1 to 168.117.255.254168.117.255.25532,766
237168.118.0.0/17168.118.0.1 to 168.118.127.254168.118.127.25532,766
238168.118.128.0/17168.118.128.1 to 168.118.255.254168.118.255.25532,766
239168.119.0.0/17168.119.0.1 to 168.119.127.254168.119.127.25532,766
240168.119.128.0/17168.119.128.1 to 168.119.255.254168.119.255.25532,766
241168.120.0.0/17168.120.0.1 to 168.120.127.254168.120.127.25532,766
242168.120.128.0/17168.120.128.1 to 168.120.255.254168.120.255.25532,766
243168.121.0.0/17168.121.0.1 to 168.121.127.254168.121.127.25532,766
244168.121.128.0/17168.121.128.1 to 168.121.255.254168.121.255.25532,766
245168.122.0.0/17168.122.0.1 to 168.122.127.254168.122.127.25532,766
246168.122.128.0/17168.122.128.1 to 168.122.255.254168.122.255.25532,766
247168.123.0.0/17168.123.0.1 to 168.123.127.254168.123.127.25532,766
248168.123.128.0/17168.123.128.1 to 168.123.255.254168.123.255.25532,766
249168.124.0.0/17168.124.0.1 to 168.124.127.254168.124.127.25532,766
250168.124.128.0/17168.124.128.1 to 168.124.255.254168.124.255.25532,766
251168.125.0.0/17168.125.0.1 to 168.125.127.254168.125.127.25532,766
252168.125.128.0/17168.125.128.1 to 168.125.255.254168.125.255.25532,766
253168.126.0.0/17168.126.0.1 to 168.126.127.254168.126.127.25532,766
254168.126.128.0/17168.126.128.1 to 168.126.255.254168.126.255.25532,766
255168.127.0.0/17168.127.0.1 to 168.127.127.254168.127.127.25532,766
256168.127.128.0/17168.127.128.1 to 168.127.255.254168.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses